<?php
/*
// kate: replace-trailing-space-save true; space-indent on; indent-width 2; mixedindent off; indent-mode cstyle; word-wrap-marker-color #41C2A4
ENCODE UTF-8
 */
/**
* @author oscim - LossimTeam
* @version 2.9
* @arg
* Retour d'un tableau composé des liens vers les article ok
*/
function element_rub_unique_default ($nom_rubrique,$format,$admin="",$debug=false,$option=false){
    global $cstr;
    error_reporting(E_ALL);
    $r=array();
    $rub= $cstr->rubrique->init($nom_rubrique,$option);
    /*if (test_bool($rub))*/ $rub= $cstr->rubrique->list_cat($nom_rubrique,'',"%2\$s%3\$s");
    if (tep_not_null($rub))
        while ($rs=each($rub)){
            if  ($option['force_file_dater']=='true' ){
                if(test_file_name_dater($rs['value']['href'], $option['date_posts'])==true ) $r[$rs['key']]=$rs['value'];
            } elseif ( /*($option != 'false') ||*/ $option['force_file_dater'] !='true' ){
                if(test_file_name_dater($rs['value']['href'])==true) $r[$rs['key']]=$rs['value'];
            }
        }
    return $r;
}
?>